class CreateAbilities < ActiveRecord::Migration
    def self.up

        create_table :role do |t|
            t.string :name
            t.integer :tenent_type
            t.integer :tenent_id
            t.string :scheme
        end

        create_table :role_privileges do |t|
            t.belongs_to :role
            t.string :resource
            t.string :action
        end

    end

    def self.down
        drop_table :role
        drop_table :role_privileges
    end
end
