class CreateNonGrataAuthorizationRolesTable < ActiveRecord::Migration
    def change
        create_table :non_grata_authorization_roles do |t| 
            t.string :name
            t.string :scheme_name
            t.integer :tenant_id
            t.string :tenant_type

        end
        create_table :non_grata_authorization_role_privileges do |t| 
            t.belongs_to :non_grata_authorization_roles
            t.string :privilege_name
            t.string :resource_name
        end
    end
end
        
