module NonGrata
    class Role
        attr_accessor :name
        # initialize 
        # params:
        #   - name: role name 
        def initialize(name)
            @name = name end

        def privileges 
            @privileges ||= []
        end

        def privilege(action, resource) 
            privileges << Privilege.new(action, resource)
        end

        def config(&block)
            instance_eval(&block) if block_given?
        end        
        
        def self.privilege(action, resource)
            privileges << Privilege.new(action, resource)
        end
        
       def can?(action, resource)
            priv = privileges.find{|i| i.applies_to?(resource) && i.action == action} 
           return priv.nil? ? false : true
       end 

    end
end
